Create customer
POST https://api.weav.com/v1/customers
Requires a token with the external-api:write ability.
Body
emailstringrequiredFormat: email.
first_namestring | nulllast_namestring | nullphonestring | nulllocalestring | nullcountrystring | nullregionstring | nullMaximum length: 10.
citystring | nullMaximum length: 64.
timezonestring | nullMaximum length: 64.
languagestring | nullMaximum length: 35.
company_idstring | nullFormat: uuid.
Request
cURL
curl --request POST \
--url 'https://api.weav.com/v1/customers' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}" \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com"
}'
JavaScript
const body = {
"email": "user@example.com"
};
const response = await fetch("https://api.weav.com/v1/customers", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"email": "user@example.com"}
response = requests.post("https://api.weav.com/v1/customers", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/customers', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
'json' => array (
'email' => 'user@example.com',
),
]);
echo $response->getBody();
Response
201 Created
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone": "string",
"locale": "en",
"country": "string",
"region": "string",
"city": "string",
"timezone": "string",
"language": "string",
"company_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"avatar_url": "https://example.com",
"first_seen_at": "2026-01-01T00:00:00Z",
"last_seen_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
400Bad Request401Unauthorized
Response fields
idstringFormat: uuid.
first_namestring | nulllast_namestring | nullemailstringFormat: email.
phonestring | nulllocalestring | nullcountrystring | nullregionstring | nullcitystring | nulltimezonestring | nulllanguagestring | nullcompany_idstring | nullFormat: uuid.
avatar_urlstring | nullFormat: url.
first_seen_atstring | nullFormat: date-time.
last_seen_atstring | nullFormat: date-time.
created_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
